﻿using System;

namespace Inedo
{
    /// <summary>
    /// Indicates that something is undisclosed.
    /// </summary>
    [Undisclosed]
    [AttributeUsage(AttributeTargets.All, AllowMultiple = false, Inherited = false)]
    public sealed class UndisclosedAttribute : Attribute
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="UndisclosedAttribute"/> class.
        /// </summary>
        [Undisclosed]
        public UndisclosedAttribute()
        {
        }
    }
}
